# Examples of codemeta `funding` and `funder` values seen in the wild.

## 1

```
  "funding":"1549758; Codemeta: A Rosetta Stone for Metadata in Scientific Software",
  "funder": { 
          "@id": "https://doi.org/10.13039/100000001",
          "@type": "Organization",
          "name": "National Science Foundation"
  },
```

## 2

```
"funding": [
    {"@id": "https://doi.org/10.3030/101057344",
     "@type": "Grant",
     "name": "FAIR-IMPACT",
     "url": "https://fair-impact.eu/"
    },
    {"@id": "https://doi.org/10.3030/823830",
     "@type": "Grant",
     "name": "BioExcel-2", 
     "url": "https://bioexcel.eu/"}
],
```

## 3

```
"funding": {
    "@type": "Award",
    "identifier": "777523",
    "funder": {
      "@type": "Organization",
      "@id": "https://doi.org/10.13039/501100000780",
      "name": "European Commission"
    }
},
```

## 4

```
  "funding": "U01AI150741",
  "funder": {
    "@type": "Organization",
    "@name": "National Institutes of Health (NIH)"
  },

```

## 5

```
    "funding": [
        "European Union Horizon Program call INFRAEOSC-03-2020 - Grant Agreement Number 101017536",
        "European Union’s Horizon 2020 research and innovation program under the Grant Agreement n. 824064",
        "European Union’s Horizon 2020 Programme under the AHEAD2020 project - Grant agreement Number 871158"
    ],
    "funder": {
        "@type": "Organization",
        "name": "European Union’s Horizon 2020 research and innovation program "
    },

```

## 6

```
    "funding": "This worked was supported by National Science Foundation award 1649014 and National Institutes of Health award R35GM119771."
```

## 7

```
    "funding": "ANR-16-CONV-0005, EQU201903007835, ANR-10-LABX-62-IBEID",
    "funder": {
        "@type": "Organization",
        "name": "Institut Pasteur, CNRS"
    },

```

## 8

```
  "funder": {}
```

## 7

```
    "funding": "PE 1632/10-1, KR 3930/3-1, TR 864/6-1, PE 1632/17-1, KR 3930/8-1, TR 864/12-1",
    "funder": {
        "@type": "Organization",
        "name": "DFG"
    },
```
